Table of Contents

AMPC.ASSETS API Changes

Note

API changes are backward compatible

A more detailed breakdown for the individual changes can be viewed here

==========================================================================
==                            API CHANGE LOG                            ==
==========================================================================
                   On Key AMPC Assets API Specification                   
--------------------------------------------------------------------------
--                              What's New                              --
--------------------------------------------------------------------------
- POST   /Modules/AMPC/RegularAssets/Move

--------------------------------------------------------------------------
--                            What's Changed                            --
--------------------------------------------------------------------------
- GET    /Modules/AMPC/InPlaceAssets/{id}
  Return Type:
    - Changed 200 OK
      Media types:
        - Changed application/vnd.onkey.entity+json
          Schema: Backward compatible
- GET    /Modules/AMPC/InPlaceAssets/Batch/{ids}
  Return Type:
    - Changed 200 OK
      Media types:
        - Changed application/vnd.onkey.entitycollection+json
          Schema: Backward compatible
- POST   /Modules/AMPC/PlaceholderAssets
  Request:
        - Changed application/vnd.onkey.entity+json
          Schema: Backward compatible
- POST   /Modules/AMPC/PlaceholderAssets/Batch
  Request:
        - Changed application/vnd.onkey.entitycollection+json
          Schema: Backward compatible
- GET    /Modules/AMPC/RegularAssetTasks/{id}/SuppressedTasks
  Return Type:
    - Changed 200 OK
      Media types:
        - Changed application/vnd.onkey.entitycollectionpage+json
          Schema: Backward compatible
--------------------------------------------------------------------------
--                                Result                                --
--------------------------------------------------------------------------
                   API changes are backward compatible                    
--------------------------------------------------------------------------